Subject: From: AIList Moderator Kenneth Laws <AIList-REQUEST%sri-ai.arpa@CSNET-RELAY>

From: [email-masked]
Date: Thu, 7 Nov 85 05:52:02 est

Received: from sri-ai.arpa by CSNET-RELAY.ARPA id a003024; 6 Nov 85 23:49 EST
Date: Wed  6 Nov 1985 21:09-PST
Reply-to: AIList%sri-ai.arpa@CSNET-RELAY
US-Mail: SRI Int., 333 Ravenswood Ave., Menlo Park, CA  94025
Phone: (415) 859-6467
Subject: AIList Digest   V3 #164
To: AIList%sri-ai.arpa@CSNET-RELAY
Received: from rand-relay by vpi; Thu, 7 Nov 85 05:47 EST

AIList Digest            Thursday, 7 Nov 1985     Volume 3 : Issue 164

Today's Topics:
  Queries - IQ Test for AI & RSA Encryption & IEEE Software Special Issue,
  Correction - TI Satellite Seminar,
  Expert Systems - Statistics and Diagnosis,
  Logic - Abductive Inference,
  Poetry - Colourless Green Ideas

----------------------------------------------------------------------

Date: Tue 5 Nov 85 09:37:20-PST
From: Rene Bach <[email-masked]>
Subject: IQ test for AI.

I don't remember anyone suggesting to test AI programs with the
traditional human IQ test.

Is there any validity to this idea ?

I understand that it would be very hard for a computer program to
reason about the shape and graphics questions (given as is, i.e.
just given the actual picture of the question). I also understand
the IQ test are somewhat controversial, but they nevertheless
provide a metric for a lot of human reasoning abilities which
certainly require multiple facets of intelligence.

Has any one tried to write such a computer program ?

Rene Bach (Bach@score)

------------------------------

Date: Wed,  6 Nov 85 20:22:21 EST
From: "Keith F. Lynch" <[email-masked]>
Subject: RSA encryption

    Date: Tue 5 Nov 85 15:21:35-CST
    From: David Throop <[email-masked]>

    ... I will also discuss some applications
    of the system, including its use in finding security flaws
    in the formal specifications of computer software, its proof
    of the invertibility of the RSA public key encryption
    algorithm ...

  Has RSA been broken?  I thought it was NP complete.  Can you
give a reference?
                                                                ...Keith

------------------------------

Date: Tuesday, 5 November 1985 22:12:21 EST
From: [email-masked]
Subject: Abstracts for IEEE Software Special Issue

All summaries that have been submitted to the IEEE Software Special Issue on
KBES for Engineering (March 1986) that have exceeded the 3 page
(double-spaced) limit have been edited to comply with the guidelines. If
this is not acceptable, please send me mail.

Sriram

------------------------------

Date: Wed 6 Nov 85 18:30:51-EST
From: "Randall Davis" <[email-masked]>
Subject: Correction - TI Satellite Seminar

Concerning the recent item in AI List which said in part:

  From: [email-masked]
  Subject: IEEE Seminar on AI (SMU)

  The following is the program for the

  Special Event of the Dallas IEEE Computer Society and Dallas Section of
  the ACM

  Artificial Intelligence Satellite Symposium
  Knowledge-Based Systems and Their Applications
  presented by Texas Instruments Incorporated
  Date: Wednesday, November 13, 1985 8:30 am - 4:00 pm
  Place: Infomart, 1950 Stemmons Freeway Room 7011

TI has advertised this event widely, but there has still been some confusion
about it.  It is an educational program conceived of and created by TI, and is
being broadcast via satellite to 23 different pre-selected sites around the
country; tickets are necessary only to assure seating; admission is free.

It is also, by design, available to anyone who has the equipment to pick up
the satellite signal (TI is offering technical information on satellite
reception at 214-995-4076).  Current estimates are that perhaps 400 additional
sites around the country will be doing so.

>From the IEEE/ACM notice above it appears that they have organized themselves
around this event, as numerous other organizations have.  Please note, though,
that the broadcast is available nationwide to anyone interested.

------------------------------

Date: Wed, 6 Nov 85 22:18:15 est
From: Dana S. Nau  <[email-masked]>
Subject: Statistics and Diagnosis

>From: Stuart Crawford <GA.SLC@Forsythe>
>
>  I am interested in obtaining pointers to recent references regarding
>  the known pros and cons of using pure statistical approaches to
>  medical diagnosis (such as the use of classification and regression

The following articles are relevant to your request.  I think one or
both of them may have appeared somewhere by now; my "refer" file is
out of date.  For more information, write to

        Dr. James Reggia
        Computer Science Department
        University of Maryland
        College Park, MD 20742

%A C. Ramsey
%A J. A. Reggia
%A D. S. Nau
%A A. Ferrentino
%T A Comparative Analysis of Methods for Expert Systems
%R submitted for publication

%A J. A. Reggia
%A B. T. Perricone
%T Answer Justification in Medical Decision Support Systems Based
on Bayesian Classification
%R Submitted for publication
%D 1983
%C College Park, MD
%I University of Maryland

        Dana S. Nau (dsn@rochester)
        from U. of Maryland, on sabbatical at U. of Rochester

------------------------------

Date: Tue 5 Nov 85 04:48:39-EST
From: "Sidney Markowitz" <[email-masked]>
Subject: abductive inference

The following is in reply to the question about abduction, in the
sense of abductive inference, and its relation to AI. This is a
portion of a message extracted from the old philosophy-of-science
mailing list [and reprinted by permission of the author -- KIL]. It is
a bit long, as it contains both definitional material and opinions as
to its relevance to AI. I have deleted much extraneous material:

Date: 26 Jan 1983 0128-PST
From: ISAACSON at USC-ISI

[ ... ]

I can't speak for the Intuitionist position.  I do prefer the
second inference-chain you propose, though.  It is a *weaker*
inference, but, it is potentially generative.  It is close to a
form of inference which is sometimes called "abduction", favored
by Charles Sanders Peirce.  This sort of inference is held to
underlie hypothesis-formation.  Abductive inference can be stated
as follows:

       The surprising fact, C, is observed;

       But if A were true, C would be a matter of course;

       Hence, there is reason to SUSPECT that A is true.

The *tentative* (or hypothetical) nature of the conclusions in the two
latter cases above is what makes these inferences potentially
GENERATIVE, in the sense of knowledge-generation; whereas the
deductive template inherent in [ an example of deduction ] makes it a
barren exercise in classical Aristotelian logic, with no generative
power beyond the (pre-programmed, as it were) syllogitic-chain itself.

[ ... ]

I want to use that fairly long introduction to move into a comparison
between traditional deductive inference [ ... ] and other types of
inferences I consider to be knowledge-generators, or "epistemogenic
inferential processes."

[ ... discussion of deductive inference ... ]

  For example,

     All birds are five-legged mammals;
     Fred is a bird;
     Then Fred is a five-legged mammal.

Or,

     All Blacks are white;
     Fred is a Black;
     Then Fred is white.

All of the stuff you see above is entirely Kosher, viewed from
within deductive logic proper, and I have no quarrel with that.
BUT WHY TAKE EXTRA PRIDE IN PROMOTING THIS KIND OF BARREN
SYLLOGISTIC ACTIVITY WITHIN AI IS BEYOND ME!

What we sorely need are inferential processes that are capable of
generating new knowledge [through computational means!].  We need
to develop a broad class of "Epistemogenic Processes".  I think
it includes a family of inferences that can generate explanatory
hypotheses, and therefore, underlie theory-formation.

Peirce, the so-called "Father of Pragmatism" (he actually called
his creation "Pragmaticism"), devoted much of his massive
life-work to elaborating a type of inference he called
"abduction".  In his view, when contrasted with "induction" and
"deduction", it is the only truly creative mode of inference.  It
is THE epistemogenic agent.  The sort that yields new explanatory
hypotheses in scientific inquiry.  As a corollary he developed a
theory of the "Economy of Research", an obscure and understudied,
yet incredibly rich, research methodology.

I do agree with Minsky that we ought to be courageous and
resourceful enough to be willing to break new ground, without too
many hangups about "old stuff".  Yet, I think that we have an
incredibly fertile resouce in Peirce, and we owe it to our
enterprise to COHERE what we are trying to do with what he has
already accomplished.

------------------------------

Date: Wed 30 Oct 85 23:02:50-PST
From: Paul Roberts <[email-masked]>
Subject: Colourless Green Ideas

         [Excerpted from the Stanford bboard by Laws@SRI-AI.]

For the Literary competition set on Christmas Eve you were asked to compose
not more than 100 words of prose, or 14 lines of verse, in which a sentence
described as grammatically acceptable but without meaning did, in the event,
become meaningful.  The sentence, devised by Noam Chomsky, was:

colourless green ideas sleep furiously.

[...]  Competitors rose to this challenge good-humouredly and in force....

 It can only be the thought of verdure to come, which prompts us in the autumn
to buy these dormant white lumps of vegetable matter covered by a brown
papery skin, and lovingly to plant them and care for them.  It is a marvel
to me that under this cover they are labouring unseen at such a rate
within to give us the sudden  awesome beauty of spring flowering bulbs.
  While winter reigns the earth reposes but these colourless green ideas
sleep furiously.

                C. M. Street

Behold the pent-up power of the winter tree;
Leafless it stands, in lifeless slumber.
Yet its very resting is revival and renewal:
Inside the dark gnarled world of trunk and roots,
Cradled in the chemistry of cell and sap,
Colourless green ideas sleep furiously
In deep and dedicated doormancy,
Concentrating, conserving, constructing:
Knowing, by some ancient quantum law
Of chlorophyll and sun
That come the sudden surge of spring,
Dreams become reality, and ideas action.

                Bryan O. Wright

Let us think on them, the Twelve Makers
Of myths, trailblazing quakers
Scourging earthshakers
Colourless green ideas sleep furiously
Before their chrysalides open curiously
Anarchy burgeons spuriously
Order raises new seedlings in the world
By word and gun upheld
The scarlet banner is unfurled
The New Country appears
Man loosens his fears
The New Dawn nears
Recollect our first fathers
The good society in momentum gathers.

                ("recently discovered sonnet by Alexander Blok")
                translated by Edward Black

[...]

(and the winner:)
(got 50 lbs.)

Thus Adam's Eden-plot in far-off time:
Colour-rampant fowers, trees a myriad green;
Helped by God-bless'd wind and temp'rate clime.
The path to primate knowledge unforseen,
He sleeps in peace at eve with Eve.
One apple later, he looks curiously
At the gardens of dichromates, in whom
colourless green ideas sleep furiously
then rage for birth each morning, until doom
Brings rainbows they at last perceive.

                D. A. H. Byatt

------------------------------

End of AIList Digest
********************